[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.MouseMove

Signals the OnMouseMove event handler for the grid control.

## Declaration

Source position: dbgrids.pas line 495

`protected procedure TCustomDBGrid.MouseMove(`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Description

MouseMove is an overridden procedure used to signal the OnMouseMove event handler for the grid control. It signals the OnMouseMove event handler when GridState contains the value gsSelecting, and the Dragging flag has not been set. Otherwise, the inherited MouseMove method is called in the method.

## See also

TControl.MouseMove |  | Handler for MouseMove events.